#!/bin/sh
# This script turn the configure mode on and off (no argument)
# It does this by creating a file /xterminals/root/configuring
# or removing it.
# This file is checked in the /xterminals/root/etc/rc script
# If there, the xgo script is not started.

# When an X terminal has been configured once (X, mouse, keyboard)
# it boots and jump right into X, offering no way to change its
# configuration. This is especially annoying when the current
# configuration has a problem and crashes the X terminal :-(

# You can achieve the same result by erasing the file
# /var/xterminals/IP/XF86Config, if you know the IP number
# of the terminal. The configure-mode.sh script is easier to use
# but have the side effect of putting all terminals in manual boot mode.
dolock(){
	rm -f $CONFIG
	echo
	echo X terminals are now in normal operation mode "(Auto-start)"
	echo
}
dounlock(){
	touch $CONFIG
	echo
	echo X terminal are now in manual mode.
	echo You have the opportunity to configure them at boot
	echo time. Once done, you run the xgo script to validate
	echo you config.
	echo
}
CONFIG=/xterminals/root/configuring
if [ "$1" = "lock" ] ; then
	dolock
elif [ "$1" = "unlock" ] ; then
	dounlock
elif [ "$#" = 0 ] ; then
	if [ -f $CONFIG ] ; then
		dolock
	else
		dounlock
	fi
else
	echo configure-mode.sh [ lock or unlock ]
fi

