#!/bin/sh
# Extract the network prefix of a class C network
netprefix(){
	echo $1 | tr . ' ' | (read a b c d; echo $a.$b.$c)
}
# Extract the station ID of a class C IP
stationid(){
	echo $1 | tr . ' ' | (read a b c d; echo $d)
}
echo
echo This script will duplicate the configuration of a working X terminal
echo for a given range of IP number. It will not overwrite any existing
echo configuration.
echo
echo -n "Enter the IP number of the reference terminal : "
read refip
if [ ! -d /var/xterminals/$refip ] ; then
	echo /var/xterminals/$refip does not exist
	exit
fi
echo -n "Enter the start IP number : "
read startip
echo -n "Enter the end IP number   : "
read endip
prefix=`netprefix $startip`
prefixend=`netprefix $endip`
if [ "$prefix" != "$prefixend" ] ; then
	echo $startip and $endip are not on the same network
	exit
fi
no=`stationid $startip`
end=`stationid $endip`
while true
do
	ip=$prefix.$no
	destdir=/var/xterminals/$ip
	if [ -d $destdir ] ; then
		echo $destdir already exist, ok
	else
		echo Creating $destdir
		cp -a /var/xterminals/$refip $destdir
	fi
	if [ "$no" = "$end" ] ; then
		exit
	fi
	no=`expr $no + 1`
done
