#!/bin/sh
cd /usr/lib/xtermkit
if [ "$1" != "--noprompt" ] ; then
	PROMPT=yes
	echo
	echo "You can install a linux kernel either small or large"
	echo "The small one only support NE2000 and 3C509 adaptor"
	echo "The large one supports more adaptor, including modern PCI ones"
	echo "The large kernel also support sound drivers"
	while true
	do
		echo
		echo "       1=small kernel"
		echo "       2=large kernel"
		echo -n "       Choice "
		read choice
		if [ "$choice" = 1 ] ; then
			kernel=kernels/kernel-2.0
			break
		elif [ "$choice" = 2 ] ; then
			kernel=kernels/kernel-2.2
			break
		else
			echo Invalid choice. Pick 1 or 2
		fi
	done
	echo   
	echo The X terminal normally gets its IP number from a dhcp/bootp server
	echo If none is available, you must configure each terminal by
	echo providing an IP number for each \"by hand\".
	echo
	echo -n Enter the IP number of the X terminal '(optional) : '
	read termip
	echo
	echo -n Enter the netmask of the X terminal '(optional) : '
	read mask
	echo
	echo -n Enter the default gateway to reach the server '(optional) : '
	read gateway
	echo
	echo Enter the IP of the NFS server
	echo Enter nothing if this is the same as the dhcp server
	echo -n "IP number : "
	read nfsip
else
	PROMPT=no
	kernel=kernels/kernel-2.2
	shift
	while [ $# != 0 ]
	do
		if [ "$1" = "--kernel" ] ; then
			shift
			kernel=$1
			shift
		elif [ "$1" = "--nfsip" ] ; then
			shift
			nfsip=$1
			shift
		elif [ "$1" = "--termip" ] ; then
			shift
			termip=$1
			shift
		elif [ "$1" = "--netmask" ] ; then
			shift
			netmask=$1
			shift
		elif [ "$1" = "--gateway" ] ; then
			shift
			gateway=$1
			shift
		else
			echo Invalid argument $* >&2
			exit 1
		fi
	done
fi

TMPBOOT=/tmp/xtermboot
rm -fr $TMPBOOT
mkdir -p $TMPBOOT
cp -a /usr/lib/xtermkit/boot/. $TMPBOOT/.
cp $kernel $TMPBOOT/zImage
mkdir $TMPBOOT/dev
mknod $TMPBOOT/dev/fd0 b 2 0
mknod $TMPBOOT/dev/none b 0 255

if [ "$nfsip" != "" ] ; then
	sed "s-APPEND-init=/etc/rc nfsroot=$nfsip:/xterminals/root ip=$termip:$nfsip:$gateway:$netmask-" <lilo.conf >$TMPBOOT/etc/lilo.conf
else
	sed "s-APPEND-init=/etc/rc nfsroot=/xterminals/root ip=$termip:$nfsip:$gateway:$netmask-" <lilo.conf >$TMPBOOT/etc/lilo.conf
fi
chown root.root $TMPBOOT/etc/lilo.conf $TMPBOOT/zImage
if [ "$PROMPT" = "yes" ] ; then
	echo
	echo -n "insert a formatted floppy and press <enter> "
	read enter
fi
if /sbin/mkfs -t ext2 /dev/fd0 1000
then
	sync
	sleep 3
	if mount -t ext2 /dev/fd0 /mnt
	then
		cp -a $TMPBOOT/. /mnt/.
		cp -a /boot/*.b /boot/boot.0* /mnt/boot/.
		/sbin/lilo -r /mnt
		umount /mnt
		echo
		echo "The floppy is now ready"
	else
		echo "Can't mount the floppy on /mnt"
	fi
else
	echo "Can't format the floppy"
fi

